Bug 1461489 - RBD size in the RBDs list
RBD size in the RBDs list
Status: ON_QA
Product: Red Hat Storage Console
Classification: Red Hat
Component: Dashboard (Show other bugs)
3
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 3-alpha
Assigned To: Ankush Behl
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-14 11:03 EDT by Lubos Trilety
Modified: 2017-06-26 04:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RBDs list design (209.45 KB, image/png)
2017-06-15 04:56 EDT, Lubos Trilety
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Github Tendrl/dashboard/issues/440 None None None 2017-06-15 11:05 EDT

  None (edit)
Description Lubos Trilety 2017-06-14 11:03:11 EDT
Description of problem:
It's not clear how big the RBD is as there is just % used displayed on "RBDs" page. The current size of RBD is missing.

Version-Release number of selected component (if applicable):
tendrl-node-agent-3.0-alpha.9.el7scon.noarch
tendrl-commons-3.0-alpha.9.el7scon.noarch
tendrl-performance-monitoring-3.0-alpha.7.el7scon.noarch
tendrl-api-3.0-alpha.4.el7scon.noarch
tendrl-api-httpd-3.0-alpha.4.el7scon.noarch
tendrl-dashboard-3.0-alpha.4.el7scon.noarch
tendrl-alerting-3.0-alpha.3.el7scon.noarch
tendrl-api-doc-3.0-alpha.4.el7scon.noarch

How reproducible:
100%

Steps to Reproduce:
1. Create some RBD in ceph cluster
2. Open tendrl UI and go to the "RBDs" page
3.

Actual results:
RBDs are displayed. About their size a user can find out only % of used. It's not clear what the total size is.

Expected results:
The size of RBD should be displayed in the list.

Additional info:
Comment 2 Nishanth Thomas 2017-06-15 02:20:43 EDT
Is that a requirement? or at-least part of the wireframes?
Comment 3 Lubos Trilety 2017-06-15 04:56 EDT
Created attachment 1287962 [details]
RBDs list design
Comment 4 Lubos Trilety 2017-06-15 04:56:33 EDT
(In reply to Nishanth Thomas from comment #2)
> Is that a requirement? or at-least part of the wireframes?

It's part of design. In design the size is displayed both as '% USED' in chart and as 'XX GB used of XX GB' near the chart. From that user can see total size of RBD. (see attached screenshot)
Comment 5 Ankush Behl 2017-06-20 05:13:37 EDT
Fixed with this version[1] please verify.

tendrl-dashboard-3.0-alpha.5.el7scon.noarch.rpm

Note You need to log in before you can comment on or make changes to this bug.